Package generic.lsh.vector

# Class VectorCompare

java.lang.Object
generic.lsh.vector.VectorCompare

public class VectorCompare extends Object
Class for containing intermediate results of doing the LSHVector compare operation

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `acount`
  `int`
  `bcount`
  `int`
  `diff`
  `double`
  `dotproduct`
  `int`
  `intersectcount`
  `int`
  `max`
  `int`
  `min`
  `int`
  `numflip`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VectorCompare()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fillOut()`
  Assume the dotproduct, acount, bcount, and intersectcount are filled in Calculate the remaining values: min, max, numflip, and diff Assume small vector is produced by flipping and removing hashes from big vector Calculate the number of flipped hashes (numflip) from a VectorCompare result Calculate the difference in the number of hashes (diff) from a VectorCompare result
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dotproduct

    public double dotproduct

  - ### acount

    public int acount

  - ### bcount

    public int bcount

  - ### intersectcount

    public int intersectcount

  - ### min

    public int min

  - ### max

    public int max

  - ### numflip

    public int numflip

  - ### diff

    public int diff

- ## Constructor Details

  - ### VectorCompare

    public VectorCompare()

- ## Method Details

  - ### fillOut

    public void fillOut()
    Assume the dotproduct, acount, bcount, and intersectcount are filled in Calculate the remaining values: min, max, numflip, and diff Assume small vector is produced by flipping and removing hashes from big vector Calculate the number of flipped hashes (numflip) from a VectorCompare result Calculate the difference in the number of hashes (diff) from a VectorCompare result

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`